ggiWmhMove(3)

NAME
ggiWmhMove, ggiWmhGetPos, ggiWmhResize, ggiWmhGetSize, ggiWmhAllowResize, ggiWmhMaximize : Moving and Resizing Windows

SYNOPSIS
#include <ggi/wmh.>
int ggiWmhMove(ggi_visual_t vis, int x, int y);
int ggiWmhGetPos(ggi_visual_t vis, int *x, int *y);
int ggiWmhResize(ggi_visual_t vis, int x, int y);
int ggiWmhGetSize(ggi_visual_t vis, int *x, int *y);
int ggiWmhAllowResize(ggi_visual_t vis,int xmin,int ymin,
                      int xmax,int ymax,int xstep,int ystep);
int ggiWmhMaximize(ggi_visual_t vis,int xperc,int yperc);

DESCRIPTION
ggiWmhMove moves the window to the specified x, y position, where x,:p:y specifies the top-left corner. ggiWmhGetPos returns the window position, whereas x, y specifies the top-left corner. ggiWmhResize resizes the window, whereas x, y specifies the new width and height. ggiWmhGetSize returns the window size, whereas x, y specifies the window width and height. ggiWmhAllowResize enables the window attributes to allow resizing. xmin, ymin specifies the minimized window width and height. xmax, ymax specifies the maximized window width and height. xstep, ystep specifies the resizing steps. ggiWmhMaximize maximizes the window. xperc is the horizontal percentage of the screen width and yperc is the vertical percentage of the screen height.

RETURN VALUES
All six return 0 for success and an ggi-error(3) code on failure.

SEE ALSO
ggiWmhSetTitle(3)